package com.rjconsultores.ventaboletos.relatorios.utilitarios;

public class RelatorioBpeNumeracaoReusoBean {

	private Integer numeroBPE;
	private Integer finalAutorizado;
	private String estado;
	private String serieBPE;

	public Integer getFinalAutorizado() {
		return finalAutorizado;
	}

	public void setFinalAutorizado(Integer finalAutorizado) {
		this.finalAutorizado = finalAutorizado;
	}

	public String getEstado() {
		return estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	public Integer getNumeroBPE() {
		return numeroBPE;
	}

	public void setNumeroBPE(Integer numeroBPE) {
		this.numeroBPE = numeroBPE;
	}

	public String getSerieBPE() {
		return serieBPE;
	}

	public void setSerieBPE(String serieBPE) {
		this.serieBPE = serieBPE;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((estado == null) ? 0 : estado.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RelatorioBpeNumeracaoReusoBean other = (RelatorioBpeNumeracaoReusoBean) obj;
		if (estado == null) {
			if (other.estado != null)
				return false;
		} else if (!estado.equals(other.estado))
			return false;
		return true;
	}

}
